%define anolis_release 1

Name:	   gzip
Version:   1.11
Release:   %{anolis_release}%{?dist}
Summary:   GNU data compression program
License:   GPLv3+ and GFDL
Source0:   https://ftp.gnu.org/gnu/gzip/gzip-%{version}.tar.xz
Source1:   https://www.gnu.org/licenses/fdl-1.3.txt

Source100: colorzgrep.csh
Source101: colorzgrep.sh


URL:	   https://www.gzip.org/
Requires:  coreutils 
BuildRequires: texinfo, gcc, autoconf, automake, less
BuildRequires: make
Conflicts: filesystem < 3
Provides:  /bin/gunzip
Provides:  /bin/gzip
Provides:  /bin/zcat
Provides:  bundled(gnulib)

%description
The gzip package contains the popular GNU gzip data compression
program. Gzipped files have a .gz extension.

Gzip should be installed on your system, because it is a
very commonly used data compression program.

%prep
%setup -q
cp %{SOURCE1} .
autoreconf

%build
export DEFS="NO_ASM"
export CPPFLAGS="-DHAVE_LSTAT"
export CC="%{__cc}"
export CPP="%{__cpp}"
export CXX="%{__cxx}"
%configure
make
%check
make check

%install
%makeinstall

gzip -9nf ${RPM_BUILD_ROOT}%{_infodir}/gzip.info*

# we don't ship it, so let's remove it from ${RPM_BUILD_ROOT}
rm -f ${RPM_BUILD_ROOT}%{_infodir}/dir
# uncompress is a part of ncompress package
rm -f ${RPM_BUILD_ROOT}%{_bindir}/uncompress

# coloured z*grep (#1034839)
%global profiledir %{_sysconfdir}/profile.d
mkdir -p %{buildroot}%{profiledir}
install -p -m 644 %{SOURCE100} %{buildroot}%{profiledir}
install -p -m 644 %{SOURCE101} %{buildroot}%{profiledir}

%files
%doc NEWS README AUTHORS ChangeLog THANKS TODO
%license COPYING fdl-1.3.txt
%{_bindir}/*
%{_mandir}/*/*
%{_infodir}/gzip.info*
%{profiledir}/*

%changelog
* Wed Mar 09 2022 zhang xianting <zhangxianting@uniontech.com> - 1.11-1
- Initial build for Anolis v23
